/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateLabelingJobInput } from "../types/CreateLabelingJobInput";
import { CreateLabelingJobOutput } from "../types/CreateLabelingJobOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/CreateLabelingJobInput";
export * from "../types/CreateLabelingJobOutput";
export * from "../types/CreateLabelingJobExceptionsUnion";
export declare class CreateLabelingJobCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateLabelingJobInput, OutputTypesUnion, CreateLabelingJobOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: CreateLabelingJobInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateLabelingJobInput, CreateLabelingJobOutput, _stream.Readable>;
    constructor(input: CreateLabelingJobInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<CreateLabelingJobInput, CreateLabelingJobOutput>;
}
