/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateNotebookInstanceLifecycleConfigInput } from "../types/CreateNotebookInstanceLifecycleConfigInput";
import { CreateNotebookInstanceLifecycleConfigOutput } from "../types/CreateNotebookInstanceLifecycleConfigOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/CreateNotebookInstanceLifecycleConfigInput";
export * from "../types/CreateNotebookInstanceLifecycleConfigOutput";
export * from "../types/CreateNotebookInstanceLifecycleConfigExceptionsUnion";
export declare class CreateNotebookInstanceLifecycleConfigCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateNotebookInstanceLifecycleConfigInput, OutputTypesUnion, CreateNotebookInstanceLifecycleConfigOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: CreateNotebookInstanceLifecycleConfigInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateNotebookInstanceLifecycleConfigInput, CreateNotebookInstanceLifecycleConfigOutput, _stream.Readable>;
    constructor(input: CreateNotebookInstanceLifecycleConfigInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<CreateNotebookInstanceLifecycleConfigInput, CreateNotebookInstanceLifecycleConfigOutput>;
}
