"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateNotebookInstanceLifecycleConfig_1 = require("../model/operations/CreateNotebookInstanceLifecycleConfig");
var CreateNotebookInstanceLifecycleConfigCommand = /** @class */ (function () {
    function CreateNotebookInstanceLifecycleConfigCommand(input) {
        this.input = input;
        this.model = CreateNotebookInstanceLifecycleConfig_1.CreateNotebookInstanceLifecycleConfig;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateNotebookInstanceLifecycleConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateNotebookInstanceLifecycleConfigCommand;
}());
exports.CreateNotebookInstanceLifecycleConfigCommand = CreateNotebookInstanceLifecycleConfigCommand;
//# sourceMappingURL=CreateNotebookInstanceLifecycleConfigCommand.js.map