/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreatePresignedNotebookInstanceUrlInput } from "../types/CreatePresignedNotebookInstanceUrlInput";
import { CreatePresignedNotebookInstanceUrlOutput } from "../types/CreatePresignedNotebookInstanceUrlOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/CreatePresignedNotebookInstanceUrlInput";
export * from "../types/CreatePresignedNotebookInstanceUrlOutput";
export * from "../types/CreatePresignedNotebookInstanceUrlExceptionsUnion";
export declare class CreatePresignedNotebookInstanceUrlCommand implements __aws_sdk_types.Command<InputTypesUnion, CreatePresignedNotebookInstanceUrlInput, OutputTypesUnion, CreatePresignedNotebookInstanceUrlOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: CreatePresignedNotebookInstanceUrlInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreatePresignedNotebookInstanceUrlInput, CreatePresignedNotebookInstanceUrlOutput, _stream.Readable>;
    constructor(input: CreatePresignedNotebookInstanceUrlInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<CreatePresignedNotebookInstanceUrlInput, CreatePresignedNotebookInstanceUrlOutput>;
}
