/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateTrainingJobInput } from "../types/CreateTrainingJobInput";
import { CreateTrainingJobOutput } from "../types/CreateTrainingJobOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/CreateTrainingJobInput";
export * from "../types/CreateTrainingJobOutput";
export * from "../types/CreateTrainingJobExceptionsUnion";
export declare class CreateTrainingJobCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateTrainingJobInput, OutputTypesUnion, CreateTrainingJobOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: CreateTrainingJobInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateTrainingJobInput, CreateTrainingJobOutput, _stream.Readable>;
    constructor(input: CreateTrainingJobInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<CreateTrainingJobInput, CreateTrainingJobOutput>;
}
