/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteNotebookInstanceInput } from "../types/DeleteNotebookInstanceInput";
import { DeleteNotebookInstanceOutput } from "../types/DeleteNotebookInstanceOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/DeleteNotebookInstanceInput";
export * from "../types/DeleteNotebookInstanceOutput";
export * from "../types/DeleteNotebookInstanceExceptionsUnion";
export declare class DeleteNotebookInstanceCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteNotebookInstanceInput, OutputTypesUnion, DeleteNotebookInstanceOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteNotebookInstanceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteNotebookInstanceInput, DeleteNotebookInstanceOutput, _stream.Readable>;
    constructor(input: DeleteNotebookInstanceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<DeleteNotebookInstanceInput, DeleteNotebookInstanceOutput>;
}
