/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteNotebookInstanceLifecycleConfigInput } from "../types/DeleteNotebookInstanceLifecycleConfigInput";
import { DeleteNotebookInstanceLifecycleConfigOutput } from "../types/DeleteNotebookInstanceLifecycleConfigOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/DeleteNotebookInstanceLifecycleConfigInput";
export * from "../types/DeleteNotebookInstanceLifecycleConfigOutput";
export * from "../types/DeleteNotebookInstanceLifecycleConfigExceptionsUnion";
export declare class DeleteNotebookInstanceLifecycleConfigCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteNotebookInstanceLifecycleConfigInput, OutputTypesUnion, DeleteNotebookInstanceLifecycleConfigOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteNotebookInstanceLifecycleConfigInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteNotebookInstanceLifecycleConfigInput, DeleteNotebookInstanceLifecycleConfigOutput, _stream.Readable>;
    constructor(input: DeleteNotebookInstanceLifecycleConfigInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<DeleteNotebookInstanceLifecycleConfigInput, DeleteNotebookInstanceLifecycleConfigOutput>;
}
