"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteNotebookInstanceLifecycleConfig_1 = require("../model/operations/DeleteNotebookInstanceLifecycleConfig");
var DeleteNotebookInstanceLifecycleConfigCommand = /** @class */ (function () {
    function DeleteNotebookInstanceLifecycleConfigCommand(input) {
        this.input = input;
        this.model = DeleteNotebookInstanceLifecycleConfig_1.DeleteNotebookInstanceLifecycleConfig;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteNotebookInstanceLifecycleConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteNotebookInstanceLifecycleConfigCommand;
}());
exports.DeleteNotebookInstanceLifecycleConfigCommand = DeleteNotebookInstanceLifecycleConfigCommand;
//# sourceMappingURL=DeleteNotebookInstanceLifecycleConfigCommand.js.map