/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeCompilationJobInput } from "../types/DescribeCompilationJobInput";
import { DescribeCompilationJobOutput } from "../types/DescribeCompilationJobOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/DescribeCompilationJobInput";
export * from "../types/DescribeCompilationJobOutput";
export * from "../types/DescribeCompilationJobExceptionsUnion";
export declare class DescribeCompilationJobCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeCompilationJobInput, OutputTypesUnion, DescribeCompilationJobOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeCompilationJobInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeCompilationJobInput, DescribeCompilationJobOutput, _stream.Readable>;
    constructor(input: DescribeCompilationJobInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<DescribeCompilationJobInput, DescribeCompilationJobOutput>;
}
