/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeEndpointInput } from "../types/DescribeEndpointInput";
import { DescribeEndpointOutput } from "../types/DescribeEndpointOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/DescribeEndpointInput";
export * from "../types/DescribeEndpointOutput";
export * from "../types/DescribeEndpointExceptionsUnion";
export declare class DescribeEndpointCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeEndpointInput, OutputTypesUnion, DescribeEndpointOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeEndpointInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeEndpointInput, DescribeEndpointOutput, _stream.Readable>;
    constructor(input: DescribeEndpointInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<DescribeEndpointInput, DescribeEndpointOutput>;
}
