/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeNotebookInstanceInput } from "../types/DescribeNotebookInstanceInput";
import { DescribeNotebookInstanceOutput } from "../types/DescribeNotebookInstanceOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/DescribeNotebookInstanceInput";
export * from "../types/DescribeNotebookInstanceOutput";
export * from "../types/DescribeNotebookInstanceExceptionsUnion";
export declare class DescribeNotebookInstanceCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeNotebookInstanceInput, OutputTypesUnion, DescribeNotebookInstanceOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeNotebookInstanceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeNotebookInstanceInput, DescribeNotebookInstanceOutput, _stream.Readable>;
    constructor(input: DescribeNotebookInstanceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<DescribeNotebookInstanceInput, DescribeNotebookInstanceOutput>;
}
