/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeNotebookInstanceLifecycleConfigInput } from "../types/DescribeNotebookInstanceLifecycleConfigInput";
import { DescribeNotebookInstanceLifecycleConfigOutput } from "../types/DescribeNotebookInstanceLifecycleConfigOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/DescribeNotebookInstanceLifecycleConfigInput";
export * from "../types/DescribeNotebookInstanceLifecycleConfigOutput";
export * from "../types/DescribeNotebookInstanceLifecycleConfigExceptionsUnion";
export declare class DescribeNotebookInstanceLifecycleConfigCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeNotebookInstanceLifecycleConfigInput, OutputTypesUnion, DescribeNotebookInstanceLifecycleConfigOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeNotebookInstanceLifecycleConfigInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeNotebookInstanceLifecycleConfigInput, DescribeNotebookInstanceLifecycleConfigOutput, _stream.Readable>;
    constructor(input: DescribeNotebookInstanceLifecycleConfigInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<DescribeNotebookInstanceLifecycleConfigInput, DescribeNotebookInstanceLifecycleConfigOutput>;
}
