"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeNotebookInstanceLifecycleConfig_1 = require("../model/operations/DescribeNotebookInstanceLifecycleConfig");
var DescribeNotebookInstanceLifecycleConfigCommand = /** @class */ (function () {
    function DescribeNotebookInstanceLifecycleConfigCommand(input) {
        this.input = input;
        this.model = DescribeNotebookInstanceLifecycleConfig_1.DescribeNotebookInstanceLifecycleConfig;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeNotebookInstanceLifecycleConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeNotebookInstanceLifecycleConfigCommand;
}());
exports.DescribeNotebookInstanceLifecycleConfigCommand = DescribeNotebookInstanceLifecycleConfigCommand;
//# sourceMappingURL=DescribeNotebookInstanceLifecycleConfigCommand.js.map