/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeTrainingJobInput } from "../types/DescribeTrainingJobInput";
import { DescribeTrainingJobOutput } from "../types/DescribeTrainingJobOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/DescribeTrainingJobInput";
export * from "../types/DescribeTrainingJobOutput";
export * from "../types/DescribeTrainingJobExceptionsUnion";
export declare class DescribeTrainingJobCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeTrainingJobInput, OutputTypesUnion, DescribeTrainingJobOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeTrainingJobInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeTrainingJobInput, DescribeTrainingJobOutput, _stream.Readable>;
    constructor(input: DescribeTrainingJobInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<DescribeTrainingJobInput, DescribeTrainingJobOutput>;
}
