/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeTransformJobInput } from "../types/DescribeTransformJobInput";
import { DescribeTransformJobOutput } from "../types/DescribeTransformJobOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/DescribeTransformJobInput";
export * from "../types/DescribeTransformJobOutput";
export * from "../types/DescribeTransformJobExceptionsUnion";
export declare class DescribeTransformJobCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeTransformJobInput, OutputTypesUnion, DescribeTransformJobOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeTransformJobInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeTransformJobInput, DescribeTransformJobOutput, _stream.Readable>;
    constructor(input: DescribeTransformJobInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<DescribeTransformJobInput, DescribeTransformJobOutput>;
}
