/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeWorkteamInput } from "../types/DescribeWorkteamInput";
import { DescribeWorkteamOutput } from "../types/DescribeWorkteamOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/DescribeWorkteamInput";
export * from "../types/DescribeWorkteamOutput";
export * from "../types/DescribeWorkteamExceptionsUnion";
export declare class DescribeWorkteamCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeWorkteamInput, OutputTypesUnion, DescribeWorkteamOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeWorkteamInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeWorkteamInput, DescribeWorkteamOutput, _stream.Readable>;
    constructor(input: DescribeWorkteamInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<DescribeWorkteamInput, DescribeWorkteamOutput>;
}
