"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeWorkteam_1 = require("../model/operations/DescribeWorkteam");
var DescribeWorkteamCommand = /** @class */ (function () {
    function DescribeWorkteamCommand(input) {
        this.input = input;
        this.model = DescribeWorkteam_1.DescribeWorkteam;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeWorkteamCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeWorkteamCommand;
}());
exports.DescribeWorkteamCommand = DescribeWorkteamCommand;
//# sourceMappingURL=DescribeWorkteamCommand.js.map