"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetSearchSuggestions_1 = require("../model/operations/GetSearchSuggestions");
var GetSearchSuggestionsCommand = /** @class */ (function () {
    function GetSearchSuggestionsCommand(input) {
        this.input = input;
        this.model = GetSearchSuggestions_1.GetSearchSuggestions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetSearchSuggestionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetSearchSuggestionsCommand;
}());
exports.GetSearchSuggestionsCommand = GetSearchSuggestionsCommand;
//# sourceMappingURL=GetSearchSuggestionsCommand.js.map