/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListLabelingJobsInput } from "../types/ListLabelingJobsInput";
import { ListLabelingJobsOutput } from "../types/ListLabelingJobsOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/ListLabelingJobsInput";
export * from "../types/ListLabelingJobsOutput";
export * from "../types/ListLabelingJobsExceptionsUnion";
export declare class ListLabelingJobsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListLabelingJobsInput, OutputTypesUnion, ListLabelingJobsOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: ListLabelingJobsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListLabelingJobsInput, ListLabelingJobsOutput, _stream.Readable>;
    constructor(input: ListLabelingJobsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<ListLabelingJobsInput, ListLabelingJobsOutput>;
}
