/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListLabelingJobsForWorkteamInput } from "../types/ListLabelingJobsForWorkteamInput";
import { ListLabelingJobsForWorkteamOutput } from "../types/ListLabelingJobsForWorkteamOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/ListLabelingJobsForWorkteamInput";
export * from "../types/ListLabelingJobsForWorkteamOutput";
export * from "../types/ListLabelingJobsForWorkteamExceptionsUnion";
export declare class ListLabelingJobsForWorkteamCommand implements __aws_sdk_types.Command<InputTypesUnion, ListLabelingJobsForWorkteamInput, OutputTypesUnion, ListLabelingJobsForWorkteamOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: ListLabelingJobsForWorkteamInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListLabelingJobsForWorkteamInput, ListLabelingJobsForWorkteamOutput, _stream.Readable>;
    constructor(input: ListLabelingJobsForWorkteamInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<ListLabelingJobsForWorkteamInput, ListLabelingJobsForWorkteamOutput>;
}
