/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListNotebookInstancesInput } from "../types/ListNotebookInstancesInput";
import { ListNotebookInstancesOutput } from "../types/ListNotebookInstancesOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/ListNotebookInstancesInput";
export * from "../types/ListNotebookInstancesOutput";
export * from "../types/ListNotebookInstancesExceptionsUnion";
export declare class ListNotebookInstancesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListNotebookInstancesInput, OutputTypesUnion, ListNotebookInstancesOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: ListNotebookInstancesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListNotebookInstancesInput, ListNotebookInstancesOutput, _stream.Readable>;
    constructor(input: ListNotebookInstancesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<ListNotebookInstancesInput, ListNotebookInstancesOutput>;
}
