"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListSubscribedWorkteams_1 = require("../model/operations/ListSubscribedWorkteams");
var ListSubscribedWorkteamsCommand = /** @class */ (function () {
    function ListSubscribedWorkteamsCommand(input) {
        this.input = input;
        this.model = ListSubscribedWorkteams_1.ListSubscribedWorkteams;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListSubscribedWorkteamsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListSubscribedWorkteamsCommand;
}());
exports.ListSubscribedWorkteamsCommand = ListSubscribedWorkteamsCommand;
//# sourceMappingURL=ListSubscribedWorkteamsCommand.js.map