/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListTrainingJobsForHyperParameterTuningJobInput } from "../types/ListTrainingJobsForHyperParameterTuningJobInput";
import { ListTrainingJobsForHyperParameterTuningJobOutput } from "../types/ListTrainingJobsForHyperParameterTuningJobOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/ListTrainingJobsForHyperParameterTuningJobInput";
export * from "../types/ListTrainingJobsForHyperParameterTuningJobOutput";
export * from "../types/ListTrainingJobsForHyperParameterTuningJobExceptionsUnion";
export declare class ListTrainingJobsForHyperParameterTuningJobCommand implements __aws_sdk_types.Command<InputTypesUnion, ListTrainingJobsForHyperParameterTuningJobInput, OutputTypesUnion, ListTrainingJobsForHyperParameterTuningJobOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: ListTrainingJobsForHyperParameterTuningJobInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListTrainingJobsForHyperParameterTuningJobInput, ListTrainingJobsForHyperParameterTuningJobOutput, _stream.Readable>;
    constructor(input: ListTrainingJobsForHyperParameterTuningJobInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<ListTrainingJobsForHyperParameterTuningJobInput, ListTrainingJobsForHyperParameterTuningJobOutput>;
}
