"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListTrainingJobsForHyperParameterTuningJob_1 = require("../model/operations/ListTrainingJobsForHyperParameterTuningJob");
var ListTrainingJobsForHyperParameterTuningJobCommand = /** @class */ (function () {
    function ListTrainingJobsForHyperParameterTuningJobCommand(input) {
        this.input = input;
        this.model = ListTrainingJobsForHyperParameterTuningJob_1.ListTrainingJobsForHyperParameterTuningJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListTrainingJobsForHyperParameterTuningJobCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListTrainingJobsForHyperParameterTuningJobCommand;
}());
exports.ListTrainingJobsForHyperParameterTuningJobCommand = ListTrainingJobsForHyperParameterTuningJobCommand;
//# sourceMappingURL=ListTrainingJobsForHyperParameterTuningJobCommand.js.map