/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListTransformJobsInput } from "../types/ListTransformJobsInput";
import { ListTransformJobsOutput } from "../types/ListTransformJobsOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/ListTransformJobsInput";
export * from "../types/ListTransformJobsOutput";
export * from "../types/ListTransformJobsExceptionsUnion";
export declare class ListTransformJobsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListTransformJobsInput, OutputTypesUnion, ListTransformJobsOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: ListTransformJobsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListTransformJobsInput, ListTransformJobsOutput, _stream.Readable>;
    constructor(input: ListTransformJobsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<ListTransformJobsInput, ListTransformJobsOutput>;
}
