/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListWorkteamsInput } from "../types/ListWorkteamsInput";
import { ListWorkteamsOutput } from "../types/ListWorkteamsOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/ListWorkteamsInput";
export * from "../types/ListWorkteamsOutput";
export * from "../types/ListWorkteamsExceptionsUnion";
export declare class ListWorkteamsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListWorkteamsInput, OutputTypesUnion, ListWorkteamsOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: ListWorkteamsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListWorkteamsInput, ListWorkteamsOutput, _stream.Readable>;
    constructor(input: ListWorkteamsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<ListWorkteamsInput, ListWorkteamsOutput>;
}
