/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { StartNotebookInstanceInput } from "../types/StartNotebookInstanceInput";
import { StartNotebookInstanceOutput } from "../types/StartNotebookInstanceOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/StartNotebookInstanceInput";
export * from "../types/StartNotebookInstanceOutput";
export * from "../types/StartNotebookInstanceExceptionsUnion";
export declare class StartNotebookInstanceCommand implements __aws_sdk_types.Command<InputTypesUnion, StartNotebookInstanceInput, OutputTypesUnion, StartNotebookInstanceOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: StartNotebookInstanceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<StartNotebookInstanceInput, StartNotebookInstanceOutput, _stream.Readable>;
    constructor(input: StartNotebookInstanceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<StartNotebookInstanceInput, StartNotebookInstanceOutput>;
}
