/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateEndpointInput } from "../types/UpdateEndpointInput";
import { UpdateEndpointOutput } from "../types/UpdateEndpointOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/UpdateEndpointInput";
export * from "../types/UpdateEndpointOutput";
export * from "../types/UpdateEndpointExceptionsUnion";
export declare class UpdateEndpointCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateEndpointInput, OutputTypesUnion, UpdateEndpointOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateEndpointInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateEndpointInput, UpdateEndpointOutput, _stream.Readable>;
    constructor(input: UpdateEndpointInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<UpdateEndpointInput, UpdateEndpointOutput>;
}
