/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateNotebookInstanceLifecycleConfigInput } from "../types/UpdateNotebookInstanceLifecycleConfigInput";
import { UpdateNotebookInstanceLifecycleConfigOutput } from "../types/UpdateNotebookInstanceLifecycleConfigOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/UpdateNotebookInstanceLifecycleConfigInput";
export * from "../types/UpdateNotebookInstanceLifecycleConfigOutput";
export * from "../types/UpdateNotebookInstanceLifecycleConfigExceptionsUnion";
export declare class UpdateNotebookInstanceLifecycleConfigCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateNotebookInstanceLifecycleConfigInput, OutputTypesUnion, UpdateNotebookInstanceLifecycleConfigOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateNotebookInstanceLifecycleConfigInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateNotebookInstanceLifecycleConfigInput, UpdateNotebookInstanceLifecycleConfigOutput, _stream.Readable>;
    constructor(input: UpdateNotebookInstanceLifecycleConfigInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<UpdateNotebookInstanceLifecycleConfigInput, UpdateNotebookInstanceLifecycleConfigOutput>;
}
