"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateNotebookInstanceLifecycleConfig_1 = require("../model/operations/UpdateNotebookInstanceLifecycleConfig");
var UpdateNotebookInstanceLifecycleConfigCommand = /** @class */ (function () {
    function UpdateNotebookInstanceLifecycleConfigCommand(input) {
        this.input = input;
        this.model = UpdateNotebookInstanceLifecycleConfig_1.UpdateNotebookInstanceLifecycleConfig;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateNotebookInstanceLifecycleConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateNotebookInstanceLifecycleConfigCommand;
}());
exports.UpdateNotebookInstanceLifecycleConfigCommand = UpdateNotebookInstanceLifecycleConfigCommand;
//# sourceMappingURL=UpdateNotebookInstanceLifecycleConfigCommand.js.map