"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateEndpointInput_1 = require("../shapes/CreateEndpointInput");
var CreateEndpointOutput_1 = require("../shapes/CreateEndpointOutput");
var ResourceLimitExceeded_1 = require("../shapes/ResourceLimitExceeded");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateEndpoint = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateEndpoint",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateEndpointInput_1.CreateEndpointInput
    },
    output: {
        shape: CreateEndpointOutput_1.CreateEndpointOutput
    },
    errors: [
        {
            shape: ResourceLimitExceeded_1.ResourceLimitExceeded
        }
    ]
};
//# sourceMappingURL=CreateEndpoint.js.map