"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateHyperParameterTuningJobInput_1 = require("../shapes/CreateHyperParameterTuningJobInput");
var CreateHyperParameterTuningJobOutput_1 = require("../shapes/CreateHyperParameterTuningJobOutput");
var ResourceInUse_1 = require("../shapes/ResourceInUse");
var ResourceLimitExceeded_1 = require("../shapes/ResourceLimitExceeded");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateHyperParameterTuningJob = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateHyperParameterTuningJob",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateHyperParameterTuningJobInput_1.CreateHyperParameterTuningJobInput
    },
    output: {
        shape: CreateHyperParameterTuningJobOutput_1.CreateHyperParameterTuningJobOutput
    },
    errors: [
        {
            shape: ResourceInUse_1.ResourceInUse
        },
        {
            shape: ResourceLimitExceeded_1.ResourceLimitExceeded
        }
    ]
};
//# sourceMappingURL=CreateHyperParameterTuningJob.js.map