"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateNotebookInstanceInput_1 = require("../shapes/CreateNotebookInstanceInput");
var CreateNotebookInstanceOutput_1 = require("../shapes/CreateNotebookInstanceOutput");
var ResourceLimitExceeded_1 = require("../shapes/ResourceLimitExceeded");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateNotebookInstance = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateNotebookInstance",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateNotebookInstanceInput_1.CreateNotebookInstanceInput
    },
    output: {
        shape: CreateNotebookInstanceOutput_1.CreateNotebookInstanceOutput
    },
    errors: [
        {
            shape: ResourceLimitExceeded_1.ResourceLimitExceeded
        }
    ]
};
//# sourceMappingURL=CreateNotebookInstance.js.map