"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateTrainingJobInput_1 = require("../shapes/CreateTrainingJobInput");
var CreateTrainingJobOutput_1 = require("../shapes/CreateTrainingJobOutput");
var ResourceInUse_1 = require("../shapes/ResourceInUse");
var ResourceLimitExceeded_1 = require("../shapes/ResourceLimitExceeded");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateTrainingJob = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateTrainingJob",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateTrainingJobInput_1.CreateTrainingJobInput
    },
    output: {
        shape: CreateTrainingJobOutput_1.CreateTrainingJobOutput
    },
    errors: [
        {
            shape: ResourceInUse_1.ResourceInUse
        },
        {
            shape: ResourceLimitExceeded_1.ResourceLimitExceeded
        }
    ]
};
//# sourceMappingURL=CreateTrainingJob.js.map