"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateTransformJobInput_1 = require("../shapes/CreateTransformJobInput");
var CreateTransformJobOutput_1 = require("../shapes/CreateTransformJobOutput");
var ResourceInUse_1 = require("../shapes/ResourceInUse");
var ResourceLimitExceeded_1 = require("../shapes/ResourceLimitExceeded");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateTransformJob = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateTransformJob",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateTransformJobInput_1.CreateTransformJobInput
    },
    output: {
        shape: CreateTransformJobOutput_1.CreateTransformJobOutput
    },
    errors: [
        {
            shape: ResourceInUse_1.ResourceInUse
        },
        {
            shape: ResourceLimitExceeded_1.ResourceLimitExceeded
        }
    ]
};
//# sourceMappingURL=CreateTransformJob.js.map