"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateWorkteamInput_1 = require("../shapes/CreateWorkteamInput");
var CreateWorkteamOutput_1 = require("../shapes/CreateWorkteamOutput");
var ResourceInUse_1 = require("../shapes/ResourceInUse");
var ResourceLimitExceeded_1 = require("../shapes/ResourceLimitExceeded");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateWorkteam = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateWorkteam",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateWorkteamInput_1.CreateWorkteamInput
    },
    output: {
        shape: CreateWorkteamOutput_1.CreateWorkteamOutput
    },
    errors: [
        {
            shape: ResourceInUse_1.ResourceInUse
        },
        {
            shape: ResourceLimitExceeded_1.ResourceLimitExceeded
        }
    ]
};
//# sourceMappingURL=CreateWorkteam.js.map