"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeHyperParameterTuningJobInput_1 = require("../shapes/DescribeHyperParameterTuningJobInput");
var DescribeHyperParameterTuningJobOutput_1 = require("../shapes/DescribeHyperParameterTuningJobOutput");
var ResourceNotFound_1 = require("../shapes/ResourceNotFound");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeHyperParameterTuningJob = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeHyperParameterTuningJob",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeHyperParameterTuningJobInput_1.DescribeHyperParameterTuningJobInput
    },
    output: {
        shape: DescribeHyperParameterTuningJobOutput_1.DescribeHyperParameterTuningJobOutput
    },
    errors: [
        {
            shape: ResourceNotFound_1.ResourceNotFound
        }
    ]
};
//# sourceMappingURL=DescribeHyperParameterTuningJob.js.map