"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeTrainingJobInput_1 = require("../shapes/DescribeTrainingJobInput");
var DescribeTrainingJobOutput_1 = require("../shapes/DescribeTrainingJobOutput");
var ResourceNotFound_1 = require("../shapes/ResourceNotFound");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeTrainingJob = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeTrainingJob",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeTrainingJobInput_1.DescribeTrainingJobInput
    },
    output: {
        shape: DescribeTrainingJobOutput_1.DescribeTrainingJobOutput
    },
    errors: [
        {
            shape: ResourceNotFound_1.ResourceNotFound
        }
    ]
};
//# sourceMappingURL=DescribeTrainingJob.js.map