"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeTransformJobInput_1 = require("../shapes/DescribeTransformJobInput");
var DescribeTransformJobOutput_1 = require("../shapes/DescribeTransformJobOutput");
var ResourceNotFound_1 = require("../shapes/ResourceNotFound");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeTransformJob = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeTransformJob",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeTransformJobInput_1.DescribeTransformJobInput
    },
    output: {
        shape: DescribeTransformJobOutput_1.DescribeTransformJobOutput
    },
    errors: [
        {
            shape: ResourceNotFound_1.ResourceNotFound
        }
    ]
};
//# sourceMappingURL=DescribeTransformJob.js.map