"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StartNotebookInstanceInput_1 = require("../shapes/StartNotebookInstanceInput");
var StartNotebookInstanceOutput_1 = require("../shapes/StartNotebookInstanceOutput");
var ResourceLimitExceeded_1 = require("../shapes/ResourceLimitExceeded");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.StartNotebookInstance = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StartNotebookInstance",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StartNotebookInstanceInput_1.StartNotebookInstanceInput
    },
    output: {
        shape: StartNotebookInstanceOutput_1.StartNotebookInstanceOutput
    },
    errors: [
        {
            shape: ResourceLimitExceeded_1.ResourceLimitExceeded
        }
    ]
};
//# sourceMappingURL=StartNotebookInstance.js.map