"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StopCompilationJobInput_1 = require("../shapes/StopCompilationJobInput");
var StopCompilationJobOutput_1 = require("../shapes/StopCompilationJobOutput");
var ResourceNotFound_1 = require("../shapes/ResourceNotFound");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.StopCompilationJob = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StopCompilationJob",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StopCompilationJobInput_1.StopCompilationJobInput
    },
    output: {
        shape: StopCompilationJobOutput_1.StopCompilationJobOutput
    },
    errors: [
        {
            shape: ResourceNotFound_1.ResourceNotFound
        }
    ]
};
//# sourceMappingURL=StopCompilationJob.js.map