"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StopLabelingJobInput_1 = require("../shapes/StopLabelingJobInput");
var StopLabelingJobOutput_1 = require("../shapes/StopLabelingJobOutput");
var ResourceNotFound_1 = require("../shapes/ResourceNotFound");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.StopLabelingJob = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StopLabelingJob",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StopLabelingJobInput_1.StopLabelingJobInput
    },
    output: {
        shape: StopLabelingJobOutput_1.StopLabelingJobOutput
    },
    errors: [
        {
            shape: ResourceNotFound_1.ResourceNotFound
        }
    ]
};
//# sourceMappingURL=StopLabelingJob.js.map