"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StopTrainingJobInput_1 = require("../shapes/StopTrainingJobInput");
var StopTrainingJobOutput_1 = require("../shapes/StopTrainingJobOutput");
var ResourceNotFound_1 = require("../shapes/ResourceNotFound");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.StopTrainingJob = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StopTrainingJob",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StopTrainingJobInput_1.StopTrainingJobInput
    },
    output: {
        shape: StopTrainingJobOutput_1.StopTrainingJobOutput
    },
    errors: [
        {
            shape: ResourceNotFound_1.ResourceNotFound
        }
    ]
};
//# sourceMappingURL=StopTrainingJob.js.map