"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateEndpointInput_1 = require("../shapes/UpdateEndpointInput");
var UpdateEndpointOutput_1 = require("../shapes/UpdateEndpointOutput");
var ResourceLimitExceeded_1 = require("../shapes/ResourceLimitExceeded");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateEndpoint = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateEndpoint",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateEndpointInput_1.UpdateEndpointInput
    },
    output: {
        shape: UpdateEndpointOutput_1.UpdateEndpointOutput
    },
    errors: [
        {
            shape: ResourceLimitExceeded_1.ResourceLimitExceeded
        }
    ]
};
//# sourceMappingURL=UpdateEndpoint.js.map