"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateEndpointWeightsAndCapacitiesInput_1 = require("../shapes/UpdateEndpointWeightsAndCapacitiesInput");
var UpdateEndpointWeightsAndCapacitiesOutput_1 = require("../shapes/UpdateEndpointWeightsAndCapacitiesOutput");
var ResourceLimitExceeded_1 = require("../shapes/ResourceLimitExceeded");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateEndpointWeightsAndCapacities = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateEndpointWeightsAndCapacities",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateEndpointWeightsAndCapacitiesInput_1.UpdateEndpointWeightsAndCapacitiesInput
    },
    output: {
        shape: UpdateEndpointWeightsAndCapacitiesOutput_1.UpdateEndpointWeightsAndCapacitiesOutput
    },
    errors: [
        {
            shape: ResourceLimitExceeded_1.ResourceLimitExceeded
        }
    ]
};
//# sourceMappingURL=UpdateEndpointWeightsAndCapacities.js.map