"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _InputConfig_1 = require("./_InputConfig");
var _OutputConfig_1 = require("./_OutputConfig");
var _StoppingCondition_1 = require("./_StoppingCondition");
exports.CreateCompilationJobInput = {
    type: "structure",
    required: [
        "CompilationJobName",
        "RoleArn",
        "InputConfig",
        "OutputConfig",
        "StoppingCondition"
    ],
    members: {
        CompilationJobName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        RoleArn: {
            shape: {
                type: "string",
                min: 20
            }
        },
        InputConfig: {
            shape: _InputConfig_1._InputConfig
        },
        OutputConfig: {
            shape: _OutputConfig_1._OutputConfig
        },
        StoppingCondition: {
            shape: _StoppingCondition_1._StoppingCondition
        }
    }
};
//# sourceMappingURL=CreateCompilationJobInput.js.map