"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ProductionVariantList_1 = require("./_ProductionVariantList");
var _TagList_1 = require("./_TagList");
exports.CreateEndpointConfigInput = {
    type: "structure",
    required: ["EndpointConfigName", "ProductionVariants"],
    members: {
        EndpointConfigName: {
            shape: {
                type: "string"
            }
        },
        ProductionVariants: {
            shape: _ProductionVariantList_1._ProductionVariantList
        },
        Tags: {
            shape: _TagList_1._TagList
        },
        KmsKeyId: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=CreateEndpointConfigInput.js.map