"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _HyperParameterTuningJobConfig_1 = require("./_HyperParameterTuningJobConfig");
var _HyperParameterTrainingJobDefinition_1 = require("./_HyperParameterTrainingJobDefinition");
var _HyperParameterTuningJobWarmStartConfig_1 = require("./_HyperParameterTuningJobWarmStartConfig");
var _TagList_1 = require("./_TagList");
exports.CreateHyperParameterTuningJobInput = {
    type: "structure",
    required: ["HyperParameterTuningJobName", "HyperParameterTuningJobConfig"],
    members: {
        HyperParameterTuningJobName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        HyperParameterTuningJobConfig: {
            shape: _HyperParameterTuningJobConfig_1._HyperParameterTuningJobConfig
        },
        TrainingJobDefinition: {
            shape: _HyperParameterTrainingJobDefinition_1._HyperParameterTrainingJobDefinition
        },
        WarmStartConfig: {
            shape: _HyperParameterTuningJobWarmStartConfig_1._HyperParameterTuningJobWarmStartConfig
        },
        Tags: {
            shape: _TagList_1._TagList
        }
    }
};
//# sourceMappingURL=CreateHyperParameterTuningJobInput.js.map