"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _InferenceSpecification_1 = require("./_InferenceSpecification");
var _ModelPackageValidationSpecification_1 = require("./_ModelPackageValidationSpecification");
var _SourceAlgorithmSpecification_1 = require("./_SourceAlgorithmSpecification");
exports.CreateModelPackageInput = {
    type: "structure",
    required: ["ModelPackageName"],
    members: {
        ModelPackageName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ModelPackageDescription: {
            shape: {
                type: "string"
            }
        },
        InferenceSpecification: {
            shape: _InferenceSpecification_1._InferenceSpecification
        },
        ValidationSpecification: {
            shape: _ModelPackageValidationSpecification_1._ModelPackageValidationSpecification
        },
        SourceAlgorithmSpecification: {
            shape: _SourceAlgorithmSpecification_1._SourceAlgorithmSpecification
        },
        CertifyForMarketplace: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=CreateModelPackageInput.js.map