"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _MemberDefinitions_1 = require("./_MemberDefinitions");
var _NotificationConfiguration_1 = require("./_NotificationConfiguration");
var _TagList_1 = require("./_TagList");
exports.CreateWorkteamInput = {
    type: "structure",
    required: ["WorkteamName", "MemberDefinitions", "Description"],
    members: {
        WorkteamName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        MemberDefinitions: {
            shape: _MemberDefinitions_1._MemberDefinitions
        },
        Description: {
            shape: {
                type: "string",
                min: 1
            }
        },
        NotificationConfiguration: {
            shape: _NotificationConfiguration_1._NotificationConfiguration
        },
        Tags: {
            shape: _TagList_1._TagList
        }
    }
};
//# sourceMappingURL=CreateWorkteamInput.js.map