"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ProductionVariantList_1 = require("./_ProductionVariantList");
exports.DescribeEndpointConfigOutput = {
    type: "structure",
    required: [
        "EndpointConfigName",
        "EndpointConfigArn",
        "ProductionVariants",
        "CreationTime"
    ],
    members: {
        EndpointConfigName: {
            shape: {
                type: "string"
            }
        },
        EndpointConfigArn: {
            shape: {
                type: "string",
                min: 20
            }
        },
        ProductionVariants: {
            shape: _ProductionVariantList_1._ProductionVariantList
        },
        KmsKeyId: {
            shape: {
                type: "string"
            }
        },
        CreationTime: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=DescribeEndpointConfigOutput.js.map