"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ProductionVariantSummaryList_1 = require("./_ProductionVariantSummaryList");
exports.DescribeEndpointOutput = {
    type: "structure",
    required: [
        "EndpointName",
        "EndpointArn",
        "EndpointConfigName",
        "EndpointStatus",
        "CreationTime",
        "LastModifiedTime"
    ],
    members: {
        EndpointName: {
            shape: {
                type: "string"
            }
        },
        EndpointArn: {
            shape: {
                type: "string",
                min: 20
            }
        },
        EndpointConfigName: {
            shape: {
                type: "string"
            }
        },
        ProductionVariants: {
            shape: _ProductionVariantSummaryList_1._ProductionVariantSummaryList
        },
        EndpointStatus: {
            shape: {
                type: "string"
            }
        },
        FailureReason: {
            shape: {
                type: "string"
            }
        },
        CreationTime: {
            shape: {
                type: "timestamp"
            }
        },
        LastModifiedTime: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=DescribeEndpointOutput.js.map