"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListNotebookInstancesInput = {
    type: "structure",
    required: [],
    members: {
        NextToken: {
            shape: {
                type: "string"
            }
        },
        MaxResults: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        SortBy: {
            shape: {
                type: "string"
            }
        },
        SortOrder: {
            shape: {
                type: "string"
            }
        },
        NameContains: {
            shape: {
                type: "string"
            }
        },
        CreationTimeBefore: {
            shape: {
                type: "timestamp"
            }
        },
        CreationTimeAfter: {
            shape: {
                type: "timestamp"
            }
        },
        LastModifiedTimeBefore: {
            shape: {
                type: "timestamp"
            }
        },
        LastModifiedTimeAfter: {
            shape: {
                type: "timestamp"
            }
        },
        StatusEquals: {
            shape: {
                type: "string"
            }
        },
        NotebookInstanceLifecycleConfigNameContains: {
            shape: {
                type: "string"
            }
        },
        DefaultCodeRepositoryContains: {
            shape: {
                type: "string"
            }
        },
        AdditionalCodeRepositoryEquals: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=ListNotebookInstancesInput.js.map