"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _UiTemplate_1 = require("./_UiTemplate");
var _RenderableTask_1 = require("./_RenderableTask");
exports.RenderUiTemplateInput = {
    type: "structure",
    required: ["UiTemplate", "Task", "RoleArn"],
    members: {
        UiTemplate: {
            shape: _UiTemplate_1._UiTemplate
        },
        Task: {
            shape: _RenderableTask_1._RenderableTask
        },
        RoleArn: {
            shape: {
                type: "string",
                min: 20
            }
        }
    }
};
//# sourceMappingURL=RenderUiTemplateInput.js.map