"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _SearchExpression_1 = require("./_SearchExpression");
exports.SearchInput = {
    type: "structure",
    required: ["Resource"],
    members: {
        Resource: {
            shape: {
                type: "string"
            }
        },
        SearchExpression: {
            shape: _SearchExpression_1._SearchExpression
        },
        SortBy: {
            shape: {
                type: "string",
                min: 1
            }
        },
        SortOrder: {
            shape: {
                type: "string"
            }
        },
        NextToken: {
            shape: {
                type: "string"
            }
        },
        MaxResults: {
            shape: {
                type: "integer",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=SearchInput.js.map