"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _AdditionalCodeRepositoryNamesOrUrls_1 = require("./_AdditionalCodeRepositoryNamesOrUrls");
var _NotebookInstanceAcceleratorTypes_1 = require("./_NotebookInstanceAcceleratorTypes");
exports.UpdateNotebookInstanceInput = {
    type: "structure",
    required: ["NotebookInstanceName"],
    members: {
        NotebookInstanceName: {
            shape: {
                type: "string"
            }
        },
        InstanceType: {
            shape: {
                type: "string"
            }
        },
        RoleArn: {
            shape: {
                type: "string",
                min: 20
            }
        },
        LifecycleConfigName: {
            shape: {
                type: "string"
            }
        },
        DisassociateLifecycleConfig: {
            shape: {
                type: "boolean"
            }
        },
        VolumeSizeInGB: {
            shape: {
                type: "integer",
                min: 5
            }
        },
        DefaultCodeRepository: {
            shape: {
                type: "string",
                min: 1
            }
        },
        AdditionalCodeRepositories: {
            shape: _AdditionalCodeRepositoryNamesOrUrls_1._AdditionalCodeRepositoryNamesOrUrls
        },
        AcceleratorTypes: {
            shape: _NotebookInstanceAcceleratorTypes_1._NotebookInstanceAcceleratorTypes
        },
        DisassociateAcceleratorTypes: {
            shape: {
                type: "boolean"
            }
        },
        DisassociateDefaultCodeRepository: {
            shape: {
                type: "boolean"
            }
        },
        DisassociateAdditionalCodeRepositories: {
            shape: {
                type: "boolean"
            }
        },
        RootAccess: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=UpdateNotebookInstanceInput.js.map