"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _MemberDefinitions_1 = require("./_MemberDefinitions");
var _NotificationConfiguration_1 = require("./_NotificationConfiguration");
exports.UpdateWorkteamInput = {
    type: "structure",
    required: ["WorkteamName"],
    members: {
        WorkteamName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        MemberDefinitions: {
            shape: _MemberDefinitions_1._MemberDefinitions
        },
        Description: {
            shape: {
                type: "string",
                min: 1
            }
        },
        NotificationConfiguration: {
            shape: _NotificationConfiguration_1._NotificationConfiguration
        }
    }
};
//# sourceMappingURL=UpdateWorkteamInput.js.map