"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._AlgorithmSummary = {
    type: "structure",
    required: [
        "AlgorithmName",
        "AlgorithmArn",
        "CreationTime",
        "AlgorithmStatus"
    ],
    members: {
        AlgorithmName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        AlgorithmArn: {
            shape: {
                type: "string",
                min: 1
            }
        },
        AlgorithmDescription: {
            shape: {
                type: "string"
            }
        },
        CreationTime: {
            shape: {
                type: "timestamp"
            }
        },
        AlgorithmStatus: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_AlgorithmSummary.js.map