"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ContentTypes_1 = require("./_ContentTypes");
var _CompressionTypes_1 = require("./_CompressionTypes");
var _InputModes_1 = require("./_InputModes");
exports._ChannelSpecification = {
    type: "structure",
    required: ["Name", "SupportedContentTypes", "SupportedInputModes"],
    members: {
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Description: {
            shape: {
                type: "string"
            }
        },
        IsRequired: {
            shape: {
                type: "boolean"
            }
        },
        SupportedContentTypes: {
            shape: _ContentTypes_1._ContentTypes
        },
        SupportedCompressionTypes: {
            shape: _CompressionTypes_1._CompressionTypes
        },
        SupportedInputModes: {
            shape: _InputModes_1._InputModes
        }
    }
};
//# sourceMappingURL=_ChannelSpecification.js.map