"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._CompilationJobSummary = {
    type: "structure",
    required: [
        "CompilationJobName",
        "CompilationJobArn",
        "CreationTime",
        "CompilationTargetDevice",
        "CompilationJobStatus"
    ],
    members: {
        CompilationJobName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        CompilationJobArn: {
            shape: {
                type: "string"
            }
        },
        CreationTime: {
            shape: {
                type: "timestamp"
            }
        },
        CompilationStartTime: {
            shape: {
                type: "timestamp"
            }
        },
        CompilationEndTime: {
            shape: {
                type: "timestamp"
            }
        },
        CompilationTargetDevice: {
            shape: {
                type: "string"
            }
        },
        LastModifiedTime: {
            shape: {
                type: "timestamp"
            }
        },
        CompilationJobStatus: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_CompilationJobSummary.js.map