"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _EnvironmentMap_1 = require("./_EnvironmentMap");
exports._ContainerDefinition = {
    type: "structure",
    required: [],
    members: {
        ContainerHostname: {
            shape: {
                type: "string"
            }
        },
        Image: {
            shape: {
                type: "string"
            }
        },
        ModelDataUrl: {
            shape: {
                type: "string"
            }
        },
        Environment: {
            shape: _EnvironmentMap_1._EnvironmentMap
        },
        ModelPackageName: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=_ContainerDefinition.js.map