"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _MetricDefinitionList_1 = require("./_MetricDefinitionList");
exports._HyperParameterAlgorithmSpecification = {
    type: "structure",
    required: ["TrainingInputMode"],
    members: {
        TrainingImage: {
            shape: {
                type: "string"
            }
        },
        TrainingInputMode: {
            shape: {
                type: "string"
            }
        },
        AlgorithmName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        MetricDefinitions: {
            shape: _MetricDefinitionList_1._MetricDefinitionList
        }
    }
};
//# sourceMappingURL=_HyperParameterAlgorithmSpecification.js.map