"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ParameterRange_1 = require("./_ParameterRange");
exports._HyperParameterSpecification = {
    type: "structure",
    required: ["Name", "Type"],
    members: {
        Name: {
            shape: {
                type: "string"
            }
        },
        Description: {
            shape: {
                type: "string"
            }
        },
        Type: {
            shape: {
                type: "string"
            }
        },
        Range: {
            shape: _ParameterRange_1._ParameterRange
        },
        IsTunable: {
            shape: {
                type: "boolean"
            }
        },
        IsRequired: {
            shape: {
                type: "boolean"
            }
        },
        DefaultValue: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_HyperParameterSpecification.js.map