"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _HyperParameters_1 = require("./_HyperParameters");
var _FinalHyperParameterTuningJobObjectiveMetric_1 = require("./_FinalHyperParameterTuningJobObjectiveMetric");
exports._HyperParameterTrainingJobSummary = {
    type: "structure",
    required: [
        "TrainingJobName",
        "TrainingJobArn",
        "CreationTime",
        "TrainingJobStatus",
        "TunedHyperParameters"
    ],
    members: {
        TrainingJobName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        TrainingJobArn: {
            shape: {
                type: "string"
            }
        },
        TuningJobName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        CreationTime: {
            shape: {
                type: "timestamp"
            }
        },
        TrainingStartTime: {
            shape: {
                type: "timestamp"
            }
        },
        TrainingEndTime: {
            shape: {
                type: "timestamp"
            }
        },
        TrainingJobStatus: {
            shape: {
                type: "string"
            }
        },
        TunedHyperParameters: {
            shape: _HyperParameters_1._HyperParameters
        },
        FailureReason: {
            shape: {
                type: "string"
            }
        },
        FinalHyperParameterTuningJobObjectiveMetric: {
            shape: _FinalHyperParameterTuningJobObjectiveMetric_1._FinalHyperParameterTuningJobObjectiveMetric
        },
        ObjectiveStatus: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_HyperParameterTrainingJobSummary.js.map