"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ModelPackageContainerDefinitionList_1 = require("./_ModelPackageContainerDefinitionList");
var _TransformInstanceTypes_1 = require("./_TransformInstanceTypes");
var _RealtimeInferenceInstanceTypes_1 = require("./_RealtimeInferenceInstanceTypes");
var _ContentTypes_1 = require("./_ContentTypes");
var _ResponseMIMETypes_1 = require("./_ResponseMIMETypes");
exports._InferenceSpecification = {
    type: "structure",
    required: [
        "Containers",
        "SupportedTransformInstanceTypes",
        "SupportedRealtimeInferenceInstanceTypes",
        "SupportedContentTypes",
        "SupportedResponseMIMETypes"
    ],
    members: {
        Containers: {
            shape: _ModelPackageContainerDefinitionList_1._ModelPackageContainerDefinitionList
        },
        SupportedTransformInstanceTypes: {
            shape: _TransformInstanceTypes_1._TransformInstanceTypes
        },
        SupportedRealtimeInferenceInstanceTypes: {
            shape: _RealtimeInferenceInstanceTypes_1._RealtimeInferenceInstanceTypes
        },
        SupportedContentTypes: {
            shape: _ContentTypes_1._ContentTypes
        },
        SupportedResponseMIMETypes: {
            shape: _ResponseMIMETypes_1._ResponseMIMETypes
        }
    }
};
//# sourceMappingURL=_InferenceSpecification.js.map