"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _LabelCountersForWorkteam_1 = require("./_LabelCountersForWorkteam");
exports._LabelingJobForWorkteamSummary = {
    type: "structure",
    required: ["JobReferenceCode", "WorkRequesterAccountId", "CreationTime"],
    members: {
        LabelingJobName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        JobReferenceCode: {
            shape: {
                type: "string",
                min: 1
            }
        },
        WorkRequesterAccountId: {
            shape: {
                type: "string"
            }
        },
        CreationTime: {
            shape: {
                type: "timestamp"
            }
        },
        LabelCounters: {
            shape: _LabelCountersForWorkteam_1._LabelCountersForWorkteam
        },
        NumberOfHumanWorkersPerDataObject: {
            shape: {
                type: "integer",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=_LabelingJobForWorkteamSummary.js.map