"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._ModelPackageSummary = {
    type: "structure",
    required: [
        "ModelPackageName",
        "ModelPackageArn",
        "CreationTime",
        "ModelPackageStatus"
    ],
    members: {
        ModelPackageName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ModelPackageArn: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ModelPackageDescription: {
            shape: {
                type: "string"
            }
        },
        CreationTime: {
            shape: {
                type: "timestamp"
            }
        },
        ModelPackageStatus: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_ModelPackageSummary.js.map