"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _AdditionalCodeRepositoryNamesOrUrls_1 = require("./_AdditionalCodeRepositoryNamesOrUrls");
exports._NotebookInstanceSummary = {
    type: "structure",
    required: ["NotebookInstanceName", "NotebookInstanceArn"],
    members: {
        NotebookInstanceName: {
            shape: {
                type: "string"
            }
        },
        NotebookInstanceArn: {
            shape: {
                type: "string"
            }
        },
        NotebookInstanceStatus: {
            shape: {
                type: "string"
            }
        },
        Url: {
            shape: {
                type: "string"
            }
        },
        InstanceType: {
            shape: {
                type: "string"
            }
        },
        CreationTime: {
            shape: {
                type: "timestamp"
            }
        },
        LastModifiedTime: {
            shape: {
                type: "timestamp"
            }
        },
        NotebookInstanceLifecycleConfigName: {
            shape: {
                type: "string"
            }
        },
        DefaultCodeRepository: {
            shape: {
                type: "string",
                min: 1
            }
        },
        AdditionalCodeRepositories: {
            shape: _AdditionalCodeRepositoryNamesOrUrls_1._AdditionalCodeRepositoryNamesOrUrls
        }
    }
};
//# sourceMappingURL=_NotebookInstanceSummary.js.map