"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._ProductionVariant = {
    type: "structure",
    required: [
        "VariantName",
        "ModelName",
        "InitialInstanceCount",
        "InstanceType"
    ],
    members: {
        VariantName: {
            shape: {
                type: "string"
            }
        },
        ModelName: {
            shape: {
                type: "string"
            }
        },
        InitialInstanceCount: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        InstanceType: {
            shape: {
                type: "string"
            }
        },
        InitialVariantWeight: {
            shape: {
                type: "float"
            }
        },
        AcceleratorType: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_ProductionVariant.js.map