"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._ResourceConfig = {
    type: "structure",
    required: ["InstanceType", "InstanceCount", "VolumeSizeInGB"],
    members: {
        InstanceType: {
            shape: {
                type: "string"
            }
        },
        InstanceCount: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        VolumeSizeInGB: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        VolumeKmsKeyId: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_ResourceConfig.js.map