"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _HyperParameters_1 = require("./_HyperParameters");
var _InputDataConfig_1 = require("./_InputDataConfig");
var _OutputDataConfig_1 = require("./_OutputDataConfig");
var _ResourceConfig_1 = require("./_ResourceConfig");
var _StoppingCondition_1 = require("./_StoppingCondition");
exports._TrainingJobDefinition = {
    type: "structure",
    required: [
        "TrainingInputMode",
        "InputDataConfig",
        "OutputDataConfig",
        "ResourceConfig",
        "StoppingCondition"
    ],
    members: {
        TrainingInputMode: {
            shape: {
                type: "string"
            }
        },
        HyperParameters: {
            shape: _HyperParameters_1._HyperParameters
        },
        InputDataConfig: {
            shape: _InputDataConfig_1._InputDataConfig
        },
        OutputDataConfig: {
            shape: _OutputDataConfig_1._OutputDataConfig
        },
        ResourceConfig: {
            shape: _ResourceConfig_1._ResourceConfig
        },
        StoppingCondition: {
            shape: _StoppingCondition_1._StoppingCondition
        }
    }
};
//# sourceMappingURL=_TrainingJobDefinition.js.map