"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._TrainingJobSummary = {
    type: "structure",
    required: [
        "TrainingJobName",
        "TrainingJobArn",
        "CreationTime",
        "TrainingJobStatus"
    ],
    members: {
        TrainingJobName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        TrainingJobArn: {
            shape: {
                type: "string"
            }
        },
        CreationTime: {
            shape: {
                type: "timestamp"
            }
        },
        TrainingEndTime: {
            shape: {
                type: "timestamp"
            }
        },
        LastModifiedTime: {
            shape: {
                type: "timestamp"
            }
        },
        TrainingJobStatus: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_TrainingJobSummary.js.map