"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _TransformEnvironmentMap_1 = require("./_TransformEnvironmentMap");
var _TransformInput_1 = require("./_TransformInput");
var _TransformOutput_1 = require("./_TransformOutput");
var _TransformResources_1 = require("./_TransformResources");
exports._TransformJobDefinition = {
    type: "structure",
    required: ["TransformInput", "TransformOutput", "TransformResources"],
    members: {
        MaxConcurrentTransforms: {
            shape: {
                type: "integer"
            }
        },
        MaxPayloadInMB: {
            shape: {
                type: "integer"
            }
        },
        BatchStrategy: {
            shape: {
                type: "string"
            }
        },
        Environment: {
            shape: _TransformEnvironmentMap_1._TransformEnvironmentMap
        },
        TransformInput: {
            shape: _TransformInput_1._TransformInput
        },
        TransformOutput: {
            shape: _TransformOutput_1._TransformOutput
        },
        TransformResources: {
            shape: _TransformResources_1._TransformResources
        }
    }
};
//# sourceMappingURL=_TransformJobDefinition.js.map