/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateCompilationJobInput } from "../types/CreateCompilationJobInput";
import { CreateCompilationJobOutput } from "../types/CreateCompilationJobOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/CreateCompilationJobInput";
export * from "../types/CreateCompilationJobOutput";
export * from "../types/CreateCompilationJobExceptionsUnion";
export declare class CreateCompilationJobCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateCompilationJobInput, OutputTypesUnion, CreateCompilationJobOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: CreateCompilationJobInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateCompilationJobInput, CreateCompilationJobOutput, _stream.Readable>;
    constructor(input: CreateCompilationJobInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<CreateCompilationJobInput, CreateCompilationJobOutput>;
}
