/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateEndpointInput } from "../types/CreateEndpointInput";
import { CreateEndpointOutput } from "../types/CreateEndpointOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/CreateEndpointInput";
export * from "../types/CreateEndpointOutput";
export * from "../types/CreateEndpointExceptionsUnion";
export declare class CreateEndpointCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateEndpointInput, OutputTypesUnion, CreateEndpointOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: CreateEndpointInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateEndpointInput, CreateEndpointOutput, _stream.Readable>;
    constructor(input: CreateEndpointInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<CreateEndpointInput, CreateEndpointOutput>;
}
