/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateEndpointConfigInput } from "../types/CreateEndpointConfigInput";
import { CreateEndpointConfigOutput } from "../types/CreateEndpointConfigOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/CreateEndpointConfigInput";
export * from "../types/CreateEndpointConfigOutput";
export * from "../types/CreateEndpointConfigExceptionsUnion";
export declare class CreateEndpointConfigCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateEndpointConfigInput, OutputTypesUnion, CreateEndpointConfigOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: CreateEndpointConfigInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateEndpointConfigInput, CreateEndpointConfigOutput, _stream.Readable>;
    constructor(input: CreateEndpointConfigInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<CreateEndpointConfigInput, CreateEndpointConfigOutput>;
}
