/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateHyperParameterTuningJobInput } from "../types/CreateHyperParameterTuningJobInput";
import { CreateHyperParameterTuningJobOutput } from "../types/CreateHyperParameterTuningJobOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/CreateHyperParameterTuningJobInput";
export * from "../types/CreateHyperParameterTuningJobOutput";
export * from "../types/CreateHyperParameterTuningJobExceptionsUnion";
export declare class CreateHyperParameterTuningJobCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateHyperParameterTuningJobInput, OutputTypesUnion, CreateHyperParameterTuningJobOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: CreateHyperParameterTuningJobInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateHyperParameterTuningJobInput, CreateHyperParameterTuningJobOutput, _stream.Readable>;
    constructor(input: CreateHyperParameterTuningJobInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<CreateHyperParameterTuningJobInput, CreateHyperParameterTuningJobOutput>;
}
