/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateNotebookInstanceInput } from "../types/CreateNotebookInstanceInput";
import { CreateNotebookInstanceOutput } from "../types/CreateNotebookInstanceOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/CreateNotebookInstanceInput";
export * from "../types/CreateNotebookInstanceOutput";
export * from "../types/CreateNotebookInstanceExceptionsUnion";
export declare class CreateNotebookInstanceCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateNotebookInstanceInput, OutputTypesUnion, CreateNotebookInstanceOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: CreateNotebookInstanceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateNotebookInstanceInput, CreateNotebookInstanceOutput, _stream.Readable>;
    constructor(input: CreateNotebookInstanceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<CreateNotebookInstanceInput, CreateNotebookInstanceOutput>;
}
