"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreatePresignedNotebookInstanceUrl_1 = require("../model/operations/CreatePresignedNotebookInstanceUrl");
var CreatePresignedNotebookInstanceUrlCommand = /** @class */ (function () {
    function CreatePresignedNotebookInstanceUrlCommand(input) {
        this.input = input;
        this.model = CreatePresignedNotebookInstanceUrl_1.CreatePresignedNotebookInstanceUrl;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreatePresignedNotebookInstanceUrlCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreatePresignedNotebookInstanceUrlCommand;
}());
exports.CreatePresignedNotebookInstanceUrlCommand = CreatePresignedNotebookInstanceUrlCommand;
//# sourceMappingURL=CreatePresignedNotebookInstanceUrlCommand.js.map