/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteWorkteamInput } from "../types/DeleteWorkteamInput";
import { DeleteWorkteamOutput } from "../types/DeleteWorkteamOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/DeleteWorkteamInput";
export * from "../types/DeleteWorkteamOutput";
export * from "../types/DeleteWorkteamExceptionsUnion";
export declare class DeleteWorkteamCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteWorkteamInput, OutputTypesUnion, DeleteWorkteamOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteWorkteamInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteWorkteamInput, DeleteWorkteamOutput, _stream.Readable>;
    constructor(input: DeleteWorkteamInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<DeleteWorkteamInput, DeleteWorkteamOutput>;
}
