"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteWorkteam_1 = require("../model/operations/DeleteWorkteam");
var DeleteWorkteamCommand = /** @class */ (function () {
    function DeleteWorkteamCommand(input) {
        this.input = input;
        this.model = DeleteWorkteam_1.DeleteWorkteam;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteWorkteamCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteWorkteamCommand;
}());
exports.DeleteWorkteamCommand = DeleteWorkteamCommand;
//# sourceMappingURL=DeleteWorkteamCommand.js.map