/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeAlgorithmInput } from "../types/DescribeAlgorithmInput";
import { DescribeAlgorithmOutput } from "../types/DescribeAlgorithmOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/DescribeAlgorithmInput";
export * from "../types/DescribeAlgorithmOutput";
export * from "../types/DescribeAlgorithmExceptionsUnion";
export declare class DescribeAlgorithmCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeAlgorithmInput, OutputTypesUnion, DescribeAlgorithmOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeAlgorithmInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeAlgorithmInput, DescribeAlgorithmOutput, _stream.Readable>;
    constructor(input: DescribeAlgorithmInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<DescribeAlgorithmInput, DescribeAlgorithmOutput>;
}
