/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeCodeRepositoryInput } from "../types/DescribeCodeRepositoryInput";
import { DescribeCodeRepositoryOutput } from "../types/DescribeCodeRepositoryOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/DescribeCodeRepositoryInput";
export * from "../types/DescribeCodeRepositoryOutput";
export * from "../types/DescribeCodeRepositoryExceptionsUnion";
export declare class DescribeCodeRepositoryCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeCodeRepositoryInput, OutputTypesUnion, DescribeCodeRepositoryOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeCodeRepositoryInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeCodeRepositoryInput, DescribeCodeRepositoryOutput, _stream.Readable>;
    constructor(input: DescribeCodeRepositoryInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<DescribeCodeRepositoryInput, DescribeCodeRepositoryOutput>;
}
