/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeLabelingJobInput } from "../types/DescribeLabelingJobInput";
import { DescribeLabelingJobOutput } from "../types/DescribeLabelingJobOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/DescribeLabelingJobInput";
export * from "../types/DescribeLabelingJobOutput";
export * from "../types/DescribeLabelingJobExceptionsUnion";
export declare class DescribeLabelingJobCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeLabelingJobInput, OutputTypesUnion, DescribeLabelingJobOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeLabelingJobInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeLabelingJobInput, DescribeLabelingJobOutput, _stream.Readable>;
    constructor(input: DescribeLabelingJobInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<DescribeLabelingJobInput, DescribeLabelingJobOutput>;
}
