/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeSubscribedWorkteamInput } from "../types/DescribeSubscribedWorkteamInput";
import { DescribeSubscribedWorkteamOutput } from "../types/DescribeSubscribedWorkteamOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/DescribeSubscribedWorkteamInput";
export * from "../types/DescribeSubscribedWorkteamOutput";
export * from "../types/DescribeSubscribedWorkteamExceptionsUnion";
export declare class DescribeSubscribedWorkteamCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeSubscribedWorkteamInput, OutputTypesUnion, DescribeSubscribedWorkteamOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeSubscribedWorkteamInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeSubscribedWorkteamInput, DescribeSubscribedWorkteamOutput, _stream.Readable>;
    constructor(input: DescribeSubscribedWorkteamInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<DescribeSubscribedWorkteamInput, DescribeSubscribedWorkteamOutput>;
}
