"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeSubscribedWorkteam_1 = require("../model/operations/DescribeSubscribedWorkteam");
var DescribeSubscribedWorkteamCommand = /** @class */ (function () {
    function DescribeSubscribedWorkteamCommand(input) {
        this.input = input;
        this.model = DescribeSubscribedWorkteam_1.DescribeSubscribedWorkteam;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeSubscribedWorkteamCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeSubscribedWorkteamCommand;
}());
exports.DescribeSubscribedWorkteamCommand = DescribeSubscribedWorkteamCommand;
//# sourceMappingURL=DescribeSubscribedWorkteamCommand.js.map