/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetSearchSuggestionsInput } from "../types/GetSearchSuggestionsInput";
import { GetSearchSuggestionsOutput } from "../types/GetSearchSuggestionsOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/GetSearchSuggestionsInput";
export * from "../types/GetSearchSuggestionsOutput";
export * from "../types/GetSearchSuggestionsExceptionsUnion";
export declare class GetSearchSuggestionsCommand implements __aws_sdk_types.Command<InputTypesUnion, GetSearchSuggestionsInput, OutputTypesUnion, GetSearchSuggestionsOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: GetSearchSuggestionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetSearchSuggestionsInput, GetSearchSuggestionsOutput, _stream.Readable>;
    constructor(input: GetSearchSuggestionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<GetSearchSuggestionsInput, GetSearchSuggestionsOutput>;
}
