/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListCompilationJobsInput } from "../types/ListCompilationJobsInput";
import { ListCompilationJobsOutput } from "../types/ListCompilationJobsOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/ListCompilationJobsInput";
export * from "../types/ListCompilationJobsOutput";
export * from "../types/ListCompilationJobsExceptionsUnion";
export declare class ListCompilationJobsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListCompilationJobsInput, OutputTypesUnion, ListCompilationJobsOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: ListCompilationJobsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListCompilationJobsInput, ListCompilationJobsOutput, _stream.Readable>;
    constructor(input: ListCompilationJobsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<ListCompilationJobsInput, ListCompilationJobsOutput>;
}
