/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListEndpointsInput } from "../types/ListEndpointsInput";
import { ListEndpointsOutput } from "../types/ListEndpointsOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/ListEndpointsInput";
export * from "../types/ListEndpointsOutput";
export * from "../types/ListEndpointsExceptionsUnion";
export declare class ListEndpointsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListEndpointsInput, OutputTypesUnion, ListEndpointsOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: ListEndpointsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListEndpointsInput, ListEndpointsOutput, _stream.Readable>;
    constructor(input: ListEndpointsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<ListEndpointsInput, ListEndpointsOutput>;
}
