"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListLabelingJobsForWorkteam_1 = require("../model/operations/ListLabelingJobsForWorkteam");
var ListLabelingJobsForWorkteamCommand = /** @class */ (function () {
    function ListLabelingJobsForWorkteamCommand(input) {
        this.input = input;
        this.model = ListLabelingJobsForWorkteam_1.ListLabelingJobsForWorkteam;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListLabelingJobsForWorkteamCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListLabelingJobsForWorkteamCommand;
}());
exports.ListLabelingJobsForWorkteamCommand = ListLabelingJobsForWorkteamCommand;
//# sourceMappingURL=ListLabelingJobsForWorkteamCommand.js.map