/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListModelPackagesInput } from "../types/ListModelPackagesInput";
import { ListModelPackagesOutput } from "../types/ListModelPackagesOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/ListModelPackagesInput";
export * from "../types/ListModelPackagesOutput";
export * from "../types/ListModelPackagesExceptionsUnion";
export declare class ListModelPackagesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListModelPackagesInput, OutputTypesUnion, ListModelPackagesOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: ListModelPackagesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListModelPackagesInput, ListModelPackagesOutput, _stream.Readable>;
    constructor(input: ListModelPackagesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<ListModelPackagesInput, ListModelPackagesOutput>;
}
