/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListNotebookInstanceLifecycleConfigsInput } from "../types/ListNotebookInstanceLifecycleConfigsInput";
import { ListNotebookInstanceLifecycleConfigsOutput } from "../types/ListNotebookInstanceLifecycleConfigsOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/ListNotebookInstanceLifecycleConfigsInput";
export * from "../types/ListNotebookInstanceLifecycleConfigsOutput";
export * from "../types/ListNotebookInstanceLifecycleConfigsExceptionsUnion";
export declare class ListNotebookInstanceLifecycleConfigsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListNotebookInstanceLifecycleConfigsInput, OutputTypesUnion, ListNotebookInstanceLifecycleConfigsOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: ListNotebookInstanceLifecycleConfigsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListNotebookInstanceLifecycleConfigsInput, ListNotebookInstanceLifecycleConfigsOutput, _stream.Readable>;
    constructor(input: ListNotebookInstanceLifecycleConfigsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<ListNotebookInstanceLifecycleConfigsInput, ListNotebookInstanceLifecycleConfigsOutput>;
}
