/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListSubscribedWorkteamsInput } from "../types/ListSubscribedWorkteamsInput";
import { ListSubscribedWorkteamsOutput } from "../types/ListSubscribedWorkteamsOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/ListSubscribedWorkteamsInput";
export * from "../types/ListSubscribedWorkteamsOutput";
export * from "../types/ListSubscribedWorkteamsExceptionsUnion";
export declare class ListSubscribedWorkteamsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListSubscribedWorkteamsInput, OutputTypesUnion, ListSubscribedWorkteamsOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: ListSubscribedWorkteamsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListSubscribedWorkteamsInput, ListSubscribedWorkteamsOutput, _stream.Readable>;
    constructor(input: ListSubscribedWorkteamsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<ListSubscribedWorkteamsInput, ListSubscribedWorkteamsOutput>;
}
