/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListTrainingJobsInput } from "../types/ListTrainingJobsInput";
import { ListTrainingJobsOutput } from "../types/ListTrainingJobsOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/ListTrainingJobsInput";
export * from "../types/ListTrainingJobsOutput";
export * from "../types/ListTrainingJobsExceptionsUnion";
export declare class ListTrainingJobsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListTrainingJobsInput, OutputTypesUnion, ListTrainingJobsOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: ListTrainingJobsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListTrainingJobsInput, ListTrainingJobsOutput, _stream.Readable>;
    constructor(input: ListTrainingJobsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<ListTrainingJobsInput, ListTrainingJobsOutput>;
}
