"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListWorkteams_1 = require("../model/operations/ListWorkteams");
var ListWorkteamsCommand = /** @class */ (function () {
    function ListWorkteamsCommand(input) {
        this.input = input;
        this.model = ListWorkteams_1.ListWorkteams;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListWorkteamsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListWorkteamsCommand;
}());
exports.ListWorkteamsCommand = ListWorkteamsCommand;
//# sourceMappingURL=ListWorkteamsCommand.js.map