/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { StopHyperParameterTuningJobInput } from "../types/StopHyperParameterTuningJobInput";
import { StopHyperParameterTuningJobOutput } from "../types/StopHyperParameterTuningJobOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/StopHyperParameterTuningJobInput";
export * from "../types/StopHyperParameterTuningJobOutput";
export * from "../types/StopHyperParameterTuningJobExceptionsUnion";
export declare class StopHyperParameterTuningJobCommand implements __aws_sdk_types.Command<InputTypesUnion, StopHyperParameterTuningJobInput, OutputTypesUnion, StopHyperParameterTuningJobOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: StopHyperParameterTuningJobInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<StopHyperParameterTuningJobInput, StopHyperParameterTuningJobOutput, _stream.Readable>;
    constructor(input: StopHyperParameterTuningJobInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<StopHyperParameterTuningJobInput, StopHyperParameterTuningJobOutput>;
}
