/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { StopLabelingJobInput } from "../types/StopLabelingJobInput";
import { StopLabelingJobOutput } from "../types/StopLabelingJobOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/StopLabelingJobInput";
export * from "../types/StopLabelingJobOutput";
export * from "../types/StopLabelingJobExceptionsUnion";
export declare class StopLabelingJobCommand implements __aws_sdk_types.Command<InputTypesUnion, StopLabelingJobInput, OutputTypesUnion, StopLabelingJobOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: StopLabelingJobInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<StopLabelingJobInput, StopLabelingJobOutput, _stream.Readable>;
    constructor(input: StopLabelingJobInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<StopLabelingJobInput, StopLabelingJobOutput>;
}
