/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateEndpointWeightsAndCapacitiesInput } from "../types/UpdateEndpointWeightsAndCapacitiesInput";
import { UpdateEndpointWeightsAndCapacitiesOutput } from "../types/UpdateEndpointWeightsAndCapacitiesOutput";
import { SageMakerResolvedConfiguration } from "../SageMakerConfiguration";
export * from "../types/UpdateEndpointWeightsAndCapacitiesInput";
export * from "../types/UpdateEndpointWeightsAndCapacitiesOutput";
export * from "../types/UpdateEndpointWeightsAndCapacitiesExceptionsUnion";
export declare class UpdateEndpointWeightsAndCapacitiesCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateEndpointWeightsAndCapacitiesInput, OutputTypesUnion, UpdateEndpointWeightsAndCapacitiesOutput, SageMakerResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateEndpointWeightsAndCapacitiesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateEndpointWeightsAndCapacitiesInput, UpdateEndpointWeightsAndCapacitiesOutput, _stream.Readable>;
    constructor(input: UpdateEndpointWeightsAndCapacitiesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerResolvedConfiguration): __aws_sdk_types.Handler<UpdateEndpointWeightsAndCapacitiesInput, UpdateEndpointWeightsAndCapacitiesOutput>;
}
