"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateEndpointWeightsAndCapacities_1 = require("../model/operations/UpdateEndpointWeightsAndCapacities");
var UpdateEndpointWeightsAndCapacitiesCommand = /** @class */ (function () {
    function UpdateEndpointWeightsAndCapacitiesCommand(input) {
        this.input = input;
        this.model = UpdateEndpointWeightsAndCapacities_1.UpdateEndpointWeightsAndCapacities;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateEndpointWeightsAndCapacitiesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateEndpointWeightsAndCapacitiesCommand;
}());
exports.UpdateEndpointWeightsAndCapacitiesCommand = UpdateEndpointWeightsAndCapacitiesCommand;
//# sourceMappingURL=UpdateEndpointWeightsAndCapacitiesCommand.js.map