"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateWorkteam_1 = require("../model/operations/UpdateWorkteam");
var UpdateWorkteamCommand = /** @class */ (function () {
    function UpdateWorkteamCommand(input) {
        this.input = input;
        this.model = UpdateWorkteam_1.UpdateWorkteam;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateWorkteamCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateWorkteamCommand;
}());
exports.UpdateWorkteamCommand = UpdateWorkteamCommand;
//# sourceMappingURL=UpdateWorkteamCommand.js.map