"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateModelInput_1 = require("../shapes/CreateModelInput");
var CreateModelOutput_1 = require("../shapes/CreateModelOutput");
var ResourceLimitExceeded_1 = require("../shapes/ResourceLimitExceeded");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateModel = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateModel",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateModelInput_1.CreateModelInput
    },
    output: {
        shape: CreateModelOutput_1.CreateModelOutput
    },
    errors: [
        {
            shape: ResourceLimitExceeded_1.ResourceLimitExceeded
        }
    ]
};
//# sourceMappingURL=CreateModel.js.map