"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StopTransformJobInput_1 = require("../shapes/StopTransformJobInput");
var StopTransformJobOutput_1 = require("../shapes/StopTransformJobOutput");
var ResourceNotFound_1 = require("../shapes/ResourceNotFound");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.StopTransformJob = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StopTransformJob",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StopTransformJobInput_1.StopTransformJobInput
    },
    output: {
        shape: StopTransformJobOutput_1.StopTransformJobOutput
    },
    errors: [
        {
            shape: ResourceNotFound_1.ResourceNotFound
        }
    ]
};
//# sourceMappingURL=StopTransformJob.js.map