"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _GitConfig_1 = require("./_GitConfig");
exports.DescribeCodeRepositoryOutput = {
    type: "structure",
    required: [
        "CodeRepositoryName",
        "CodeRepositoryArn",
        "CreationTime",
        "LastModifiedTime"
    ],
    members: {
        CodeRepositoryName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        CodeRepositoryArn: {
            shape: {
                type: "string",
                min: 1
            }
        },
        CreationTime: {
            shape: {
                type: "timestamp"
            }
        },
        LastModifiedTime: {
            shape: {
                type: "timestamp"
            }
        },
        GitConfig: {
            shape: _GitConfig_1._GitConfig
        }
    }
};
//# sourceMappingURL=DescribeCodeRepositoryOutput.js.map