"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _DataSource_1 = require("./_DataSource");
var _ShuffleConfig_1 = require("./_ShuffleConfig");
exports._Channel = {
    type: "structure",
    required: ["ChannelName", "DataSource"],
    members: {
        ChannelName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        DataSource: {
            shape: _DataSource_1._DataSource
        },
        ContentType: {
            shape: {
                type: "string"
            }
        },
        CompressionType: {
            shape: {
                type: "string"
            }
        },
        RecordWrapperType: {
            shape: {
                type: "string"
            }
        },
        InputMode: {
            shape: {
                type: "string"
            }
        },
        ShuffleConfig: {
            shape: _ShuffleConfig_1._ShuffleConfig
        }
    }
};
//# sourceMappingURL=_Channel.js.map