"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._EndpointSummary = {
    type: "structure",
    required: [
        "EndpointName",
        "EndpointArn",
        "CreationTime",
        "LastModifiedTime",
        "EndpointStatus"
    ],
    members: {
        EndpointName: {
            shape: {
                type: "string"
            }
        },
        EndpointArn: {
            shape: {
                type: "string",
                min: 20
            }
        },
        CreationTime: {
            shape: {
                type: "timestamp"
            }
        },
        LastModifiedTime: {
            shape: {
                type: "timestamp"
            }
        },
        EndpointStatus: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_EndpointSummary.js.map