"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._GitConfig = {
    type: "structure",
    required: ["RepositoryUrl"],
    members: {
        RepositoryUrl: {
            shape: {
                type: "string"
            }
        },
        Branch: {
            shape: {
                type: "string",
                min: 1
            }
        },
        SecretArn: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=_GitConfig.js.map