"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _TrainingJobStatusCounters_1 = require("./_TrainingJobStatusCounters");
var _ObjectiveStatusCounters_1 = require("./_ObjectiveStatusCounters");
var _ResourceLimits_1 = require("./_ResourceLimits");
exports._HyperParameterTuningJobSummary = {
    type: "structure",
    required: [
        "HyperParameterTuningJobName",
        "HyperParameterTuningJobArn",
        "HyperParameterTuningJobStatus",
        "Strategy",
        "CreationTime",
        "TrainingJobStatusCounters",
        "ObjectiveStatusCounters"
    ],
    members: {
        HyperParameterTuningJobName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        HyperParameterTuningJobArn: {
            shape: {
                type: "string"
            }
        },
        HyperParameterTuningJobStatus: {
            shape: {
                type: "string"
            }
        },
        Strategy: {
            shape: {
                type: "string"
            }
        },
        CreationTime: {
            shape: {
                type: "timestamp"
            }
        },
        HyperParameterTuningEndTime: {
            shape: {
                type: "timestamp"
            }
        },
        LastModifiedTime: {
            shape: {
                type: "timestamp"
            }
        },
        TrainingJobStatusCounters: {
            shape: _TrainingJobStatusCounters_1._TrainingJobStatusCounters
        },
        ObjectiveStatusCounters: {
            shape: _ObjectiveStatusCounters_1._ObjectiveStatusCounters
        },
        ResourceLimits: {
            shape: _ResourceLimits_1._ResourceLimits
        }
    }
};
//# sourceMappingURL=_HyperParameterTuningJobSummary.js.map