"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _LabelCounters_1 = require("./_LabelCounters");
var _LabelingJobOutput_1 = require("./_LabelingJobOutput");
var _LabelingJobInputConfig_1 = require("./_LabelingJobInputConfig");
exports._LabelingJobSummary = {
    type: "structure",
    required: [
        "LabelingJobName",
        "LabelingJobArn",
        "CreationTime",
        "LastModifiedTime",
        "LabelingJobStatus",
        "LabelCounters",
        "WorkteamArn",
        "PreHumanTaskLambdaArn"
    ],
    members: {
        LabelingJobName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        LabelingJobArn: {
            shape: {
                type: "string"
            }
        },
        CreationTime: {
            shape: {
                type: "timestamp"
            }
        },
        LastModifiedTime: {
            shape: {
                type: "timestamp"
            }
        },
        LabelingJobStatus: {
            shape: {
                type: "string"
            }
        },
        LabelCounters: {
            shape: _LabelCounters_1._LabelCounters
        },
        WorkteamArn: {
            shape: {
                type: "string"
            }
        },
        PreHumanTaskLambdaArn: {
            shape: {
                type: "string"
            }
        },
        AnnotationConsolidationLambdaArn: {
            shape: {
                type: "string"
            }
        },
        FailureReason: {
            shape: {
                type: "string"
            }
        },
        LabelingJobOutput: {
            shape: _LabelingJobOutput_1._LabelingJobOutput
        },
        InputConfig: {
            shape: _LabelingJobInputConfig_1._LabelingJobInputConfig
        }
    }
};
//# sourceMappingURL=_LabelingJobSummary.js.map