"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _DeployedImages_1 = require("./_DeployedImages");
exports._ProductionVariantSummary = {
    type: "structure",
    required: ["VariantName"],
    members: {
        VariantName: {
            shape: {
                type: "string"
            }
        },
        DeployedImages: {
            shape: _DeployedImages_1._DeployedImages
        },
        CurrentWeight: {
            shape: {
                type: "float"
            }
        },
        DesiredWeight: {
            shape: {
                type: "float"
            }
        },
        CurrentInstanceCount: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        DesiredInstanceCount: {
            shape: {
                type: "integer",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=_ProductionVariantSummary.js.map