"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._TransformJobSummary = {
    type: "structure",
    required: [
        "TransformJobName",
        "TransformJobArn",
        "CreationTime",
        "TransformJobStatus"
    ],
    members: {
        TransformJobName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        TransformJobArn: {
            shape: {
                type: "string"
            }
        },
        CreationTime: {
            shape: {
                type: "timestamp"
            }
        },
        TransformEndTime: {
            shape: {
                type: "timestamp"
            }
        },
        LastModifiedTime: {
            shape: {
                type: "timestamp"
            }
        },
        TransformJobStatus: {
            shape: {
                type: "string"
            }
        },
        FailureReason: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_TransformJobSummary.js.map