"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _MemberDefinitions_1 = require("./_MemberDefinitions");
var _ProductListings_1 = require("./_ProductListings");
var _NotificationConfiguration_1 = require("./_NotificationConfiguration");
exports._Workteam = {
    type: "structure",
    required: ["WorkteamName", "MemberDefinitions", "WorkteamArn", "Description"],
    members: {
        WorkteamName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        MemberDefinitions: {
            shape: _MemberDefinitions_1._MemberDefinitions
        },
        WorkteamArn: {
            shape: {
                type: "string"
            }
        },
        ProductListingIds: {
            shape: _ProductListings_1._ProductListings
        },
        Description: {
            shape: {
                type: "string",
                min: 1
            }
        },
        SubDomain: {
            shape: {
                type: "string"
            }
        },
        CreateDate: {
            shape: {
                type: "timestamp"
            }
        },
        LastUpdatedDate: {
            shape: {
                type: "timestamp"
            }
        },
        NotificationConfiguration: {
            shape: _NotificationConfiguration_1._NotificationConfiguration
        }
    }
};
//# sourceMappingURL=_Workteam.js.map