import * as __aws_sdk_types from "@aws-sdk/types";
/**
 * CreateModelOutput shape
 */
export interface CreateModelOutput extends __aws_sdk_types.MetadataBearer {
    /**
     * <p>The ARN of the model created in Amazon SageMaker.</p>
     */
    ModelArn: string;
    /**
     * Metadata about the response received, including the HTTP status code, HTTP headers, and any request identifiers recognized by the SDK.
     */
    $metadata: __aws_sdk_types.ResponseMetadata;
}
