/**
 * <p>A property name returned from a <code>GetSearchSuggestions</code> call that specifies a value in the <code>PropertyNameQuery</code> field.</p>
 */
export interface _PropertyNameSuggestion {
    /**
     * <p>A suggested property name based on what you entered in the search textbox in the Amazon SageMaker console.</p>
     */
    PropertyName?: string;
}
export declare type _UnmarshalledPropertyNameSuggestion = _PropertyNameSuggestion;
